// SampleDlg.h : header file
//

#if !defined(AFX_SAMPLEDLG_H__B08406AA_F0C0_460E_8C38_27176A27D0AE__INCLUDED_)
#define AFX_SAMPLEDLG_H__B08406AA_F0C0_460E_8C38_27176A27D0AE__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CSampleDlg dialog
class CSampleDlg : public CDialog
{
// Construction
public:
	static void _stdcall MyFunc(LPCTSTR str);
	CSampleDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CSampleDlg)
	enum { IDD = IDD_SAMPLE_DIALOG };
	CStatic	m_TimeInfo;
	CListBox	m_ListBoxOwn;
	CComboBox	m_ComboPort;
	CComboBox	m_ComboAdd;
	CComboBox	m_Combo;
	CButton	m_Button1;
	CListBox	m_List;
	CIPAddressCtrl	m_IP;
	CEdit	m_Id;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSampleDlg)
	public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CSampleDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnButton1();
	afx_msg void OnButton2();
	afx_msg void OnButton3();
	afx_msg void OnDblclkList1();
	afx_msg void OnClose();
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnDblclkList2();
	afx_msg void OnButton4();
	afx_msg void OnButton5();
	afx_msg void OnTimer(UINT nIDEvent);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SAMPLEDLG_H__B08406AA_F0C0_460E_8C38_27176A27D0AE__INCLUDED_)
